Subject: [Fot] Peyote

From: Ponostyle via Fot <[email-masked]>
Date: Sun, 16 Jun 2019 20:13:16 -0700

I blew up Peyote's engine in a stupid way in one of the last races of the year, and now I'm putting the engine together after Horizon racing did their usual spectacular job with the short block. But this year the end game is different. I'm hanging up my helmet. The double vision I had two years ago is much better, but it's still there, and if I smack into someone because I'm turning into the wrong corner I couldn't forgive myself. So its curtains to roughly 50 years of racing something: Flat track and TT motorcycles, motocross, road racing motorcycles, road racing cars, and vintage car racing, culminating with being the honored caretaker of the remarkable Peyote since 1999. I'm getting Peyote ready to sell, since it doesn't belong in a collection gathering dust, it should be raced, and raced hard. As it always has been, for 60 years. 

I’ll also eventually be selling Ambro 001, though it’s going to take some time. I’m rebodying it, with an Ambro body that doesn’t weigh 250 pounds. More like 60. And Peyotifying it. Fast and pretty. 

Like my hero, Mr. Kastner, I’m concentrating on stuff in the water, but instead of racing sailboats I’m playing around with hydrofoils on surfboards and other silly stuff. It will be some time until I finish the Ambro, and I’d like to stay on the list to see what all you folks are up to.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]